<template>
  <div>
    <Modal v-model="showModal" :width="900" v-drag class="modal-footer-none zIndex-1100">
      <p slot="header">{{modalTitle}}</p>
      <div>
        <FileManageCont ref="fileCont" :flag="flag"></FileManageCont>
      </div>
    </Modal>
  </div>
</template>
<script>
import FileManageCont from './PhotoManageCont'

export default {
  components: {
    FileManageCont
  },
  props: {
    // 只能删除自己的标识
    flag: null
  },
  data() {
    return {
      showModal: false,
      modalTitle: '试样照片'
    }
  },
  methods: {
    _open(id, key) {
      this.showModal = true
      this.$refs.fileCont._open(id, key)
    }
  }
}
</script>
